# LTX-2.3 22B · Image to Video · LoRA API

> המרת תמונה לסרטון באמצעות LoRAs מותאמים אישית מהקלט הנדרש `loras`

מנפיש את `image_url` לפי `prompt`, ודורש `loras` לעיצוב או להתנהגות של LoRA מותאם אישית. `end_image_url` אופציונלי לפריים אחרון רצוי. `num_frames` הוא 9 עד 481, עם יצירת אודיו, אפשרויות camera LoRA והגדרות ההכוונה והתזמון המקובלות.

- Model id: `ltx-2.3-22b/image-to-video/lora`
- Made by: Lightricks
- Category: Image to Video
- Output: video
- Price per megapixel of your output video: $0.00181 / megapixel of output video (cheapest run $0.002 (2 API credits))
- Run: `POST https://api.doitong.ru/v1/run/ltx-2.3-22b/image-to-video/lora`
- Quote: `POST https://api.doitong.ru/v1/quote/ltx-2.3-22b/image-to-video/lora`
- Docs page: https://doitong.com/he/developers/models/ltx-2.3-22b/image-to-video/lora

## Pricing

Price: **$0.00181 / megapixel of output video**. Price per megapixel of your output video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.23 = 230 API credits (127 MP output video × $0.001805).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/ltx-2.3-22b/image-to-video/lora` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | הנחיה המשמשת להכוונת היצירה. |
| `image_url` | `image` | string (image URL) | yes |  |  | כתובת URL של תמונת המקור המשמשת ליצירת הווידאו. |
| `end_image_url` | `end_image` | string (image URL) \| null | no |  |  | כתובת URL של תמונה המגדירה את הפריים המסיים של הווידאו. |
| `num_frames` |  | integer | no | `121` | 9 – 481 | מספר הפריימים בפלט שנוצר. |
| `video_size` |  | object {width, height} \| enum (string) | no | `auto` | `auto`, `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9` | מידות הווידאו שנוצר. |
| `generate_audio` |  | boolean | no | `true` |  | קובע אם הווידאו כולל אודיו שנוצר. |
| `use_multiscale` |  | boolean | no | `true` |  | מתג יצירה רב-קנה-מידה לשיפור העקביות והפרטים. עם True, וידאו מקדים קטן יותר מנחה יצירה שנייה שגודלה תואם לממדים המבוקשים או גדול מהם. |
| `fps` |  | number | no | `24` | 1 – 60 | קצב הפריימים של וידאו הפלט, נמדד בפריימים לשנייה. |
| `num_inference_steps` |  | integer | no | `40` | 8 – 50 | מספר שלבי ההסקה שבוצעו. |
| `video_cfg_scale` |  | number | no | `3` | 1 – 20 | הגדרת הנחיית וידאו: הגדילו אותה לקבלת עקביות ומיקוד רבים יותר בתוכן שנוצר. משתמשת בהנחיה ללא מסווג (CFG). |
| `video_stg_scale` |  | number | no | `0` | 0 – 20 | שליטה בעקביות ובמיקוד של הווידאו באמצעות סולם Spatiotemporal Guidance (STG); הגדילו את ההגדרה כדי לחזק את שתי התכונות. |
| `video_rescaling_scale` |  | number | no | `0.7` | 0 – 1 | התאמת שינוי קנה מידה של הווידאו לאיזון בין הנחיה ללא מסווג להנחיה מרחבית-זמנית, כיחס. |
| `video_modality_scale` |  | number | no | `3` | 0 – 10 | התאמת מודליות הווידאו לאיזון בין תרומות הווידאו והאודיו, כיחס. |
| `audio_cfg_scale` |  | number | no | `7` | 1 – 20 | הגדרת הנחיית אודיו: הגדילו אותה לקבלת עקביות ומיקוד רבים יותר בתוכן שנוצר. משתמשת בהנחיה ללא מסווג (CFG). |
| `audio_stg_scale` |  | number | no | `0` | 0 – 20 | שליטה בעקביות ובמיקוד של האודיו באמצעות סולם Spatiotemporal Guidance (STG); הגדילו את ההגדרה כדי לחזק את שתי התכונות. |
| `audio_rescaling_scale` |  | number | no | `0.7` | 0 – 1 | התאמת שינוי קנה מידה של האודיו לאיזון בין הנחיה ללא מסווג להנחיה מרחבית-זמנית, כיחס. |
| `audio_modality_scale` |  | number | no | `3` | 0 – 10 | התאמת מודליות האודיו לאיזון בין תרומות הווידאו והאודיו, כיחס. |
| `gradient_estimation_gamma` |  | number | no | `2` | 0 – 10 | הגדרת אומדן גרדיאנט להסרת רעש: 0 מכבה את האומדן; אחרת, הערך מציין את gamma. |
| `use_restart_sampling` |  | boolean | no | `false` |  | מתג דגימת אתחול מחדש לאיכות וידאו טובה יותר פוטנציאלית: הפעלתו מוסיפה מעט רעש בכל שלב הסרת רעש. |
| `scheduler` |  | enum (string) | no | `ltx2` | `ltx2`, `linear_quadratic`, `beta` | בחירת מתזמן. |
| `acceleration` |  | enum (string) | no | `regular` | `none`, `regular`, `high`, `full` | רמת ההאצה שהוחלה על העיבוד. |
| `camera_lora` |  | enum (string) | no | `none` | `dolly_in`, `dolly_out`, `dolly_left`, `dolly_right`, `jib_up`, `jib_down`, `static`, `none` | בחירת Camera LoRA לשליטה מדויקת יותר בתנועה בווידאו שנוצר, בהשוואה להנחיות תנועת מצלמה בלבד. |
| `camera_lora_scale` |  | number | no | `1` | 0 – 1 | עוצמת Camera LoRA לשליטה מדויקת יותר בתנועה בווידאו שנוצר, בהשוואה להנחיות תנועת מצלמה בלבד. |
| `negative_prompt` |  | string | no | `news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static` |  | הנחיה שלילית המשמשת במהלך יצירת וידאו. |
| `seed` |  | integer \| null | no |  |  | ערך Seed המאתחל יצירת מספרים אקראיים. |
| `enable_prompt_expansion` |  | boolean | no | `true` |  | שולט אם הרחבת ההנחיה מופעלת. |
| `enable_safety_checker` |  | boolean | no | `true` |  | קובע אם בדיקת בטיחות מופעלת. |
| `video_output_type` |  | enum (string) | no | `X264 (.mp4)` | `X264 (.mp4)`, `VP9 (.webm)`, `PRORES4444 (.mov)`, `GIF (.gif)` | סוג הפלט של הווידאו המתקבל. |
| `video_quality` |  | enum (string) | no | `high` | `low`, `medium`, `high`, `maximum` | רמת האיכות של הווידאו המתקבל. |
| `video_write_mode` |  | enum (string) | no | `balanced` | `fast`, `balanced`, `small` | מצב הכתיבה של הווידאו המתקבל. |
| `loras` |  | array of object {path, weight_name, scale} | yes |  |  | בחירת LoRA ליצירה. |
| `loras[].path` |  | string | yes |  |  | מיקום משקלי LoRA, הניתן ככתובת URL או כמזהה מאגר HuggingFace בתבנית owner/repo. |
| `loras[].weight_name` |  | string \| null | no |  |  | שם משקל LoRA לבחירה בין כמה משקלים במאגר HuggingFace; נדרש רק במאגרים המכילים כמה משקלים. להגדרה זו אין השפעה אלא אם `path` מזהה מאגר HuggingFace. |
| `loras[].scale` |  | number | no | `1` | 0 – 4 | מקדם קנה המידה המוחל על LoRA, בטווח 0.0 עד 4.0. |
| `distill_lora_first_pass_scale` |  | number | no | `0.2` | 0 – 1 | שליטה בקנה המידה של distill LoRA במעבר הראשון, כאשר 0 מכבה אותו. |
| `distill_lora_second_pass_scale` |  | number | no | `0.5` | 0 – 1 | שליטה בקנה המידה של distill LoRA בכל מעבר שאחרי הראשון. |
| `interpolation_direction` |  | enum (string) | no | `forward` | `forward`, `backward` | כיוון האינטרפולציה לרצף התמונות. 'Forward' נע מהתמונה ההתחלתית אל התמונה הסופית; 'Backward' הופך את הסדר. |
| `image_strength` |  | number | no | `1` | 0 – 1 | עוצמת השפעת התמונה על יצירת הווידאו. |
| `end_image_strength` |  | number | no | `1` | 0 – 1 | שליטה במידת ההשפעה של תמונת הסיום על הווידאו שנוצר. |

File parameters (`image`, `end_image`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "loras": [
    {
      "path": "https://example.com/your-file.safetensors"
    }
  ],
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
```

A fuller example:

```json
{
  "loras": [
    {
      "path": "https://example.com/your-file.safetensors"
    }
  ],
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-22b/image-to-video/lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "loras": [
      {
        "path": "https://example.com/your-file.safetensors"
      }
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-2.3-22b/image-to-video/lora?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "loras": [
      {
        "path": "https://example.com/your-file.safetensors"
      }
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "loras": [
        {
            "path": "https://example.com/your-file.safetensors",
        },
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-2.3-22b/image-to-video/lora", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "ltx-2.3-22b/image-to-video/lora",
      "input": {
        "loras": [
          {
            "path": "https://example.com/your-file.safetensors"
          }
        ],
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-22b/image-to-video/lora",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 230,
    "usd": "0.23",
    "charged": 230,
    "refunded": 0
  },
  "input": {
    "loras": [
      {
        "path": "https://example.com/your-file.safetensors"
      }
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "prompt": "Continue the scene naturally, maintaining the same style and motion."
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames} | וידאו שהופק על ידי המודל. |
| `seed` | integer | ערך Seed המשמש לאתחול יצירת מספרים אקראיים. |
| `prompt` | string | הנחיה המשמשת להכוונת היצירה. |

## Related models

- [LTX-2.3 22B · Text to Video](https://doitong.com/developers/models/ltx-2.3-22b/text-to-video.md) (`ltx-2.3-22b/text-to-video`): $0.00161 / megapixel of output video
- [LTX-2.3 22B · Text to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/text-to-video/lora.md) (`ltx-2.3-22b/text-to-video/lora`): $0.00181 / megapixel of output video
- [LTX-2.3 22B · Image to Video](https://doitong.com/developers/models/ltx-2.3-22b/image-to-video.md) (`ltx-2.3-22b/image-to-video`): $0.00161 / megapixel of output video
- [LTX 2.3 22B](https://doitong.com/developers/models/ltx-2.3-22b/reference-video-to-video/lora.md) (`ltx-2.3-22b/reference-video-to-video/lora`): $0.00181 / megapixel of output video
- [LTX-2.3 22B · Extend Video](https://doitong.com/developers/models/ltx-2.3-22b/extend-video.md) (`ltx-2.3-22b/extend-video`): $0.00161 / megapixel of output video
- [LTX-2.3 22B · Extend Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/extend-video/lora.md) (`ltx-2.3-22b/extend-video/lora`): $0.00181 / megapixel of output video
- [LTX-2.3 22B · Reference Video to Video](https://doitong.com/developers/models/ltx-2.3-22b/reference-video-to-video.md) (`ltx-2.3-22b/reference-video-to-video`): $0.00161 / megapixel of output video
- [LTX-2.3 22B · Video to Video](https://doitong.com/developers/models/ltx-2.3-22b/video-to-video.md) (`ltx-2.3-22b/video-to-video`): $0.00161 / megapixel of output video

## Links

- HTML page: https://doitong.com/developers/models/ltx-2.3-22b/image-to-video/lora
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=ltx-2.3-22b/image-to-video/lora
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/ltx-2.3-22b/image-to-video/lora
